ALTER TABLE `ip_manager_ip_pools` MODIFY COLUMN `type` enum('ipv4','ipv6','ipv6block','ipv4block') NOT NULL;
ALTER TABLE `ip_manager_ip_pools` ADD COLUMN `parent_id` int(11) NOT NULL;
ALTER TABLE `ip_manager_ip_pools` ADD COLUMN `enabled` tinyint(1) NOT NULL;
ALTER TABLE `ip_manager_ip_pools` ADD COLUMN `custom_text` TEXT NULL;
ALTER TABLE `ip_manager_ip_pools` ADD COLUMN `custom` tinyint(1) NOT NULL;
ALTER TABLE `ip_manager_ip_pools` ADD COLUMN `account_id` int(11) NOT NULL;
ALTER TABLE `ip_manager_ip_pools` ADD COLUMN `excluded_ip` TEXT NULL;
ALTER TABLE `ip_manager_ip_pools` ADD COLUMN `ns3` VARCHAR( 39 ) NULL;
ALTER TABLE `ip_manager_ip_pools` ADD COLUMN `ns4` VARCHAR( 39 ) NULL;
ALTER TABLE `ip_manager_ip_pools` ADD COLUMN `ns5` VARCHAR( 39 ) NULL;

ALTER TABLE `ip_manager_ips` ADD COLUMN `integration` tinyint(1) NULL;

-- Ahmed sponsored
ALTER TABLE `ip_manager_assigned_pools` ADD COLUMN `service_id` int(11) NULL;

-- new column pool_id
ALTER TABLE `ip_manager_history` ADD COLUMN `pool_id` int(11) NOT NULL;
-- New Enums -> cron and import
-- ALTER TABLE  `ip_manager_history` CHANGE  `relation`  `relation` enum('client','product','addon','configoption','server','manually', 'cron', 'import') NOT NULL;

-- new column pool_id
ALTER TABLE `ip_manager_configuration_pools` ADD COLUMN `block_id` int(11) NOT NULL;
ALTER TABLE `ip_manager_configuration_pools` DROP PRIMARY KEY;
ALTER TABLE `ip_manager_configuration_pools` ADD PRIMARY KEY (`config_id`,`pool_id`,`block_id`);

ALTER TABLE `ip_manager_customfields_default` ADD COLUMN `pool_id` int(11) NULL;
ALTER TABLE `ip_manager_customfields_default` ADD COLUMN `type` text NOT NULL;
-- ALTER TABLE `ip_manager_ip_pools` ADD `subnets_mask` tinyint(2) NULL;


-- --------------------------------------------------------
--
-- Struktura tabeli dla tabeli `ip_manager_ip_blocks`
--
CREATE TABLE IF NOT EXISTS `ip_manager_ip_blocks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pool` varchar(48) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `mask` tinyint(2) NOT NULL,
  `subnets_mask` tinyint(2) NOT NULL,
  `type` enum('ipv4','ipv6') NOT NULL,
  `ns1` VARCHAR( 39 ) NOT NULL,
  `ns2` VARCHAR( 39 ) NOT NULL,
  `gateway` VARCHAR( 39 ) NOT NULL,
  `custom_fields` TEXT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;


-- --------------------------------------------------------
--
-- Struktura tabeli dla tabeli `ip_manager_customfields`
--
CREATE TABLE IF NOT EXISTS `ip_manager_customfields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rel_id` int(11) NOT NULL,
  `type` text NOT NULL,
  `name` text NOT NULL,
  `value` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
--
-- Struktura tabeli dla tabeli `ip_manager_customfields_default`
--
CREATE TABLE IF NOT EXISTS `ip_manager_customfields_default` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` text NOT NULL,
  `name` text NOT NULL,
  `value` text,
  `pool_id` int(11) NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------
--
-- Struktura tabeli dla tabeli `ip_manager_ip_reservation`
--
CREATE TABLE IF NOT EXISTS `ip_manager_ip_reservation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rule` varchar(255) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;