<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
<!--[if lt IE 9]>
  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<!--[if IE 7]>
  <link rel="stylesheet" href="assets/css/font-awesome-ie7.css">
<![endif]-->
{if !$isWHMCS6}{literal}
<style type="text/css">
    #mg-wrapper input[type="radio"],
    #mg-wrapper input[type="checkbox"] {
       margin: 0 4px 0 0 !important;
    }

    #mg-wrapper table .btn, #mg-wrapper table .btn i {
      height: 20px !important;
      line-height: 20px !important;
    }
    
    #mg-wrapper .modal-content {
	position: relative;
	background-color: #FFF;
	background-clip: padding-box;
	border: 1px solid rgba(0, 0, 0, 0.2);
	border-radius: 6px;
	outline: 0px none;
	box-shadow: 0px 3px 9px rgba(0, 0, 0, 0.5);
}
    
    
</style>
{/literal}{/if}
        <div class="body" data-target=".body" data-spy="scroll" data-twttr-rendered="true" id="mg-wrapper">
            <div id="mg-content" class="">
           <div id="alertModal"  class="modal fade" tabindex="-1" role="dialog" aria-labelledby="alertModalLabel">
            <div class="modal-dialog" style="width: initial;" role="document">
              <div class="modal-content">

                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                  <h4 class="modal-title" id="alertModalLabel">Message</h4>
                </div>
                <div class="modal-body" style="max-height: initial; overflow-y: initial;">
                  <p></p>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-small btn-default" data-dismiss="modal">Cancel</button>
                  <a type="button" class="btn btn-ok btn-small btn-primary">OK</a>
                </div>
            
              </div>
            </div>
          </div>

        <div id="top-bar">
            <div id="module-name">
                <a href="{$addon->url('pools')}"><h2>{$addon->name}</h2></a>
                <div class="modulename-logo">
                    <a href="http://www.modulesgarden.com" target="_blank"><img src="../modules/addons/ipmanager2/assets/img/mg-logo.png" alt="logo" class="logo-default"></a>
                </div>
            </div>
            <div class="centerBox">
                <ul id="top-nav">
                    {foreach from=$addon->menu() item=element key=page}
                        {if $element.submenu}
                            <li class="dropdown-toggle li-top{if $addon->getSiteTitle() === $element.title}-active{/if}">
                                <a href="{$addon->url($page)}" class="dropdown-toggle" data-toggle="dropdown" role="button" id="menu-{$page}"><i class="icon-{$element.icon}"></i>{$element.title}&nbsp;&nbsp;<i class="icon-caret-down"></i></a>
                                <ul class="dropdown-menu {if $page == 'settings'}settings-menu{/if}" role="menu" aria-labelledby="menu-{$page}">
                                    {foreach from=$element.submenu item=subelement key=subpage}
                                        <li><a href="{$addon->url($page, $subpage)}">{$subelement.title}</a></li>
                                    {/foreach}
                                </ul>
                            </li>
                        {else}
                            <li class="li-top{if $addon->getSiteTitle() === $element.title}-active{/if}"><a href="{$addon->url($page)}"><i class="icon-{$element.icon}"></i>{$element.title}</a></li>
                        {/if}
                    {/foreach}
                    <li class="li-top"><a href="http://www.docs.modulesgarden.com/IP_Manager_For_WHMCS"><i class="icon-book"></i>Documentation</a></li>
                </ul>
            </div>
        </div><!-- end of TOP BAR -->
        <ol class="breadcrumb">
            <li><a href="{$addon->url($addon->defaultPage[0])}"><i class="icon icon-home"></i></a></li>
            {if $addon->isSubpage()}
            <li><a href="{$addon->url($smarty.get.modpage)}">{$addon->getSiteTitle()}</a></li>
            <li class="active">{$addon->getSubpageTitle()}</li>
            {else}
            <li class="active">{$addon->getSiteTitle()}</li>
            {/if}
        </ol>
        <div class="inner">
            {if ! isset($isError) || $isError neq 1}
            {if isset($messages) and ! empty($messages)}
            {foreach from=$messages item=message}
                <div class="alert alert-block alert-{$message.status} alert-autoclose">
                     <h4 style="margin: 0 0 5px 0;">{if $message.status eq 'error'}Problem occured!{elseif $message.status eq 'success'}Success!{/if}</h4>
                    {$message.message} <button type="button" class="close" data-dismiss="alert">&times;</button></div>
            {/foreach}
            {/if}
            {else}
                {if !$errorCustomTitle}
                    <h2 class="section-heading">
                        <i class="icon-warning-sign"></i> <a href="{$smarty.get.modpage|addon_url}">Ooops! Something bad probably just happend.</a>
                    </h2>
                {/if}
            {/if}

            {$content}
        </div><!-- end of INNER -->
        <div class="overlay hide">
        </div>
    </div><!-- end of CONTENT -->
</div>