<h2 style="margin-bottom: 20px">{$lang->_('Addons')}</h2>
<form class="form-horizontal {if $isWHMCS6}{else}form-low{/if}" method="post" action="">
    <input type="hidden" value="saverels" name="modaction" />
    <input type="hidden" value="{$smarty.get.configuration_id}" name="configuration_id" />

    <cite><span class="assignedWarn icon-warning-sign"></span>{$lang->_(' - means that addon is assigned to another configuration and is not available here.')}</cite>

    <table class="table">
        <thead>
            <tr>
                <th width="900">{$lang->_('Addon')}</th>
                <th>{$lang->_('Assign To Pool(s)')}</th>
                <th width="100">{$lang->_('IP Addresses Quantity')}</th>
                <th width="100">{$lang->_('IP v6 Addresses Quantity')}</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$addons item=addon}
                {if isset($addon->config_id) and $addon->config_id neq $smarty.get.configuration_id}
                    {assign var="assigned" value=true}
                {else}
                    {assign var="assigned" value=false}
                {/if}
                <tr{if isset($addon->config_id) and $addon->config_id neq $smarty.get.configuration_id} class="lessopacity"{/if}>
                    <td>{if $assigned}<span class="assignedWarn icon-warning-sign"></span>{/if} {$addon->name}</td>
                    <td>
                        <input type="checkbox" name="addons[{$addon->id}][assign]" {if $assigned}disabled{/if} value="yes" {if $addon->config_id eq $smarty.get.configuration_id} checked="checked"{/if}/>
                    </td>
                    <td><input type="text" name="addons[{$addon->id}][ipquantity]"{if $assigned}disabled{/if}  value="{$addon->ipquantity|default:1}" size="8" style="width: 60px;"></td>
                    <td><input type="text" name="addons[{$addon->id}][ipv6quantity]"{if $assigned}disabled{/if}  value="{$addon->ipv6quantity|default:1}" size="8" style="width: 60px;"></td>
                </tr>
            {/foreach}
        </tbody>
    </table>
    <button class="btn btn-small btn-success">{$lang->_('Save Changes')}</button>
    <a class="btn btn-small btn-small btn-danger" href="{'configuration'|addon_url}">{$lang->_('Cancel')}</a>
</form>