<h2 style="margin-bottom: 20px">{$lang->_("Create Configuration")}</h2>

<form action="{'configuration'|addon_url:'create'}" id="createConfigurationForm" method="post" class="form-horizontal">
    <fieldset>
        <div class="control-group">
            <label class="control-label">{$lang->_("Configuration Friendly Name")}</label>
            <div class="controls">

                <input name="friendlyname" class="" type="text"  size="10" style="width: 470px;"/>
                {* <textarea name="friendlyname" cols="40" rows="2" style="width: 456px;"></textarea> *}
            </div>
        </div>
        <div class="control-group">
                <label class="control-label">{$lang->_("Assign to Product/s")}</label>
                <div class="controls">
                    <select name="products[]" class="pretty-select" multiple="true" style="width: 470px;">
                    {foreach from=$products item=product}
                    <option value="{$product->id}">{$product->name}</option>
                    {/foreach}
                    </select>
                    <span class="help-block">{$lang->_("You can select more than just one")}</span>
                </div>
        </div>
        <div class="control-group">
                <label class="control-label">{$lang->_("Assign to Addon/s")}</label>
                <div class="controls">
                    <select name="addons[]" class="pretty-select" multiple="true" style="width: 470px;">
                    {foreach from=$addons item=addon}
                    <option value="{$addon->id}">{$addon->name}</option>
                    {/foreach}
                    </select>
                    <span class="help-block">{$lang->_("You can select more than just one")}</span>
                </div>
        </div>
        <div class="control-group">
            <label class="control-label">{$lang->_("Assign to Server/s")}</label>
            <div class="controls">
                <select name="servers[]" class="pretty-select" multiple="true" style="width: 470px;">
                {foreach from=$servers item=server}
                <option value="{$server->id}">{$server->name}</option>
                {/foreach}
                </select>
                    <span class="help-block">{$lang->_("You can select more than just one")}</span>
            </div>
        </div>
        <div class="control-group">
            <label class="control-label">{$lang->_("Assign to Config Option/s")}</label>
            <div class="controls">
                <select name="configoptions[]" class="pretty-select" multiple="true" style="width: 470px;">
                {foreach from=$options item=option}
                    <optgroup label="{$option->optionname}">
                    {foreach from=$suboptions->getForConfig($option->id) item=suboption}
                        {if empty($suboption->config_id)}
                        <option value="{$suboption->id}">{$suboption->optionname}</option>
                        {/if}
                    {/foreach}
                    </optgroup>
                {/foreach}
                </select>
                    <span class="help-block">{$lang->_("You can select more than just one")}</span>
            </div>
        </div>

        <div class="control-group form-actions">
            <button class="btn btn-primary"><span class="icon-plus"></span> {$lang->_("Create New Configuration")}</button>
        </div>
    </fieldset>
</form>