{literal}
    <script type="text/javascript">
        $(document).ready(function()
        {
            $('.selectAllFromGroup').on('click', function(e)
            {
                var that = $(this);

                $.getJSON('{/literal}{'configuration'|addon_url:'getproductsfromgroup'}{literal}&ajax=1&id=' + that.attr('data-id'), function(pids)
                {
                    var selector = '';

                    for (var i = 0; i < pids.length; i++)
                    {
                        selector += 'input[name="products[' + pids[i] + '][assign]"]:not(:disabled),';
                    }

                    $(selector.slice(0,-1)).prop('checked', that.is(':checked'));
                }
                );
            });
        });
    </script>
{/literal}
<h2 style="margin-bottom: 20px">{$lang->_('Product Groups')}</h2>

<table class="table">
    <thead>
        <tr>
            <th>{$lang->_('Product Group')}</th>
            <th width="120">{$lang->_('Assign To Pool(s)')}</th>
        </tr>
    </thead>
    <tbody>
        {foreach from=$productgroups item=group}
            <tr>
                <td>{$group->name}</td>
                <td><input type="checkbox" class="selectAllFromGroup" data-id="{$group->id}"></td>
            </tr>
        {/foreach}
    </tbody>
</table>

<div class="" style="margin: 20px 0;"><span class="label label-warning" style="text-transform: none;">{$lang->_('By selecting a product group all the products from a chosen group will be selected below.')}</span></div>

<h2 style="margin-bottom: 20px">{$lang->_('Products')}</h2>
<form class="form-horizontal {if $isWHMCS6}{else}form-low{/if}" method="post" action="" name="set_configuration_products_form">
    <input type="hidden" value="saverels" name="modaction" />
    <input type="hidden" value="{$smarty.get.configuration_id}" name="configuration_id" />

    <cite><span class="assignedWarn icon-warning-sign"></span> - {$lang->_('means that product is assigned to another configuration and is not available here.')}</cite>

    <table class="table">
        <thead>
            <tr>
                <th width="800">{$lang->_('Product')}</th>
                <th width="340">{$lang->_('Module Type')}</th>
                <th width="150">{$lang->_('Assign To Pool(s)')}</th>
                <th width="150">{$lang->_('IP Addresses Quantity')}</th>
                <th width="150">{$lang->_('IP v6 Addresses Quantity')}</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$products item=product}
                <tr{if isset($product->config_id) and $product->config_id neq $smarty.get.configuration_id} class="lessopacity"{/if}>
                    <td>{$product->name} {if isset($product->config_id) and $product->config_id neq $smarty.get.configuration_id}<span class="assignedWarn icon-warning-sign"></span>{/if}</td>
                    <td>{$product->servertype}</td>
                    <td>
                        <input type="checkbox" name="products[{$product->id}][assign]" value="yes"{if $product->config_id eq $smarty.get.configuration_id} checked="checked"{/if}{if isset($product->config_id) and $product->config_id neq $smarty.get.configuration_id} disabled="disabled"{/if} />
                    </td>
                    <td><input type="text" name="products[{$product->id}][ipquantity]" value="{$product->ipquantity|default:1}"{if isset($product->config_id) and $product->config_id neq $smarty.get.configuration_id} disabled="disabled"{/if} style="width: 50px;" size="4"></td>
                    <td><input type="text" name="products[{$product->id}][ipv6quantity]" value="{$product->ipv6quantity|default:1}"{if isset($product->config_id) and $product->config_id neq $smarty.get.configuration_id} disabled="disabled"{/if} style="width: 50px;" size="4"></td>                    
                </tr>
            {/foreach}
        </tbody>
    </table>
    <div class="form-actions">
        <button class="btn btn-small btn-success" type="submit">{$lang->_('Save Changes')}</button>
        <a class="btn btn-small btn-danger" href="{'configuration'|addon_url}">{$lang->_('Cancel')}</a>
    </div>
</form>