<h2 class="bottom-space">{$lang->_('Export a Pool')}</h2>
<form method="post" action="{'export'|addon_url:'generate'}">
    <fieldset>
        <div class="control-group">
            <label class="control-label">{$lang->_('Choose a Pool to export:')}</label>
            <div class="controls">
                <select class="pretty-select" name="poolid" style="width: 250px;">
                    {foreach from=$pools item=pool}
                        {if $pool->mask eq 0}
                            <option value="{$pool->id}">{$pool->pool}</option>
                        {else}
                            <option value="{$pool->id}">{$pool->pool}/{$pool->mask}</option>
                        {/if}
                    {/foreach}
                </select>
            </div>
        </div>
    </fieldset>

    <fieldset>
        <div class="control-group">
            <label class="control-label">{$lang->_('Choose an output format:')}</label>
            <div class="controls">
                <select class="pretty-select" name="type" style="width: 250px;">
                    <option value="csv">{$lang->_('CSV (comma separated values)')}</option>
                    <option value="xml">{$lang->_('XML document')}</option>
                </select>
            </div>
        </div>
    </fieldset>
    <div class="form-actions">
        <button type="submit" class="btn-primary">{$lang->_('Generate')}</button>
    </div>
</form>