{if $messages|is_array}
    {foreach from=$messages item=message}
        <div class="alert alert-block alert-{$message.status} ">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <h4 style="margin: 0 0 5px 0;">
                {if $message.status eq 'error'}{$langTranslator->translate('clientarea_problemoccured')}{elseif $message.status eq 'success'}{$langTranslator->translate('clientarea_success')}{/if}
            </h4>
            {$message.message}
        </div>
    {/foreach}
{/if}
{if $ips}
<h2>{$langTranslator->translate('yourips')}</h2>

<div class="internalpadding">
    <table class="table table-striped table-framed table-centered">
        <thead>
            <tr>
                <th>{$langTranslator->translate('ipaddress')}</th>
                <th>{$langTranslator->translate('assignationdate')}</th>
                <th>{$langTranslator->translate('status')}</th>
                <th>{$langTranslator->translate('actions')}</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$ips item=ip}
            <tr>
                <td>{$ip->ip}</td>
                <td>{$ip->created_at|date_format}</td>
                <td><span style="color: #659D32; font-weight: bold;">{$langTranslator->translate('active')}</span></td>
                <td><a href="index.php?m=ipmanager2&modaction=unassign&serviceid={$smarty.get.id}&ipid={$ip->id}" class="btn btn-mini btn-danger ipManagerUnassignAction"><span class="icon icon-white icon-remove-circle"></span> {$langTranslator->translate('unassign')}</a></td>
            </tr>
            {/foreach}
        </tbody>
    </table>
        <!-- ahmed sponsored -->
</div>    
{/if}
{if $pools}
<div class="internalpadding">
    <h2>{$langTranslator->translate('yourippools')}</h2>
    <table class="table table-striped table-framed table-centered">
        <thead>
            <tr>
                <th>{$langTranslator->translate('ippools')}</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$pools item=p}
            <tr>
                <td>{$p->pool|cat:'/'|cat:$p->mask}</td>
            </tr>
            {/foreach}
        </tbody>
    </table>
 <!-- ahmed sponsored -->       
        
        
</div>
{/if}

{literal}
<script type="text/javascript">
    $(function()
    {
        $('.ipManagerUnassignAction').on('click', function(e)
        {
            var c = confirm('{/literal}{$langTranslator->translate('unassignconfirm')}{literal}');

            if(! c)
            {
                return false;
            }
        });
    });
</script>
{/literal}

<form method="post" action="index.php?m=ipmanager2&modaction=buyip&serviceid={$smarty.get.id}">
    <button class="btn btn-small btn-primary" type="submit"><span class="icon icon-plus icon-white"></span> {$langTranslator->translate('buyip')}</button>
</form>
<br />
