-- --------------------------------------------------------

-- Upgrade

ALTER TABLE  `ip_manager_ip_pools` CHANGE  `pool`  `pool` VARCHAR( 48 ) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL;
ALTER TABLE  `ip_manager_ips` ADD `ip_v6` decimal(39,0) NOT NULL;
ALTER TABLE  `ip_manager_ip_pools` ADD `type` enum('ipv4','ipv6') NOT NULL;

-- --------------------------------------------------------

-- Upgrade 1_4

ALTER TABLE  `ip_manager_ip_pools` ADD  `ns1` VARCHAR( 39 ) NOT NULL AFTER  `type` , ADD  `ns2` VARCHAR( 39 ) NOT NULL AFTER  `ns1` , ADD  `gateway` VARCHAR( 39 ) NOT NULL AFTER  `ns2`;
ALTER TABLE  `ip_manager_ips` ADD  `custom_fields` TEXT NULL AFTER  `pool_id`;

-- --------------------------------------------------------

-- Upgrade 1_6

ALTER TABLE  `ip_manager_ips` CHANGE  `ip`  `ip` VARCHAR( 16 ) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL;
-- Custom Fields for POOLS
ALTER TABLE  `ip_manager_ip_pools` ADD  `custom_fields` TEXT NULL AFTER  `gateway`;
-- Custom Assign for IP
ALTER TABLE  `ip_manager_ips` ADD  `custom_text` TEXT NULL AFTER  `enabled`, ADD `custom` tinyint(1) NOT NULL AFTER  `custom_text`;
-- New Enums -> cron and import
ALTER TABLE  `ip_manager_history` CHANGE  `relation`  `relation` enum('client','product','addon','configoption','server','manually', 'cron', 'import') NOT NULL;

--
-- Struktura tabeli dla tabeli `ip_manager_logs`
--

CREATE TABLE IF NOT EXISTS `ip_manager_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(39) NOT NULL,
  `action` varchar(25) NOT NULL,
  `message` varchar(200) NOT NULL,
  `account_id` int(10) NOT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;