{literal}
<script type="text/javascript">
    $(document).ready(function()
    {
        $('.selectAllFromGroup').on('click', function(e)
        {
            var that = $(this);

            $.getJSON('{/literal}{'configuration'|addon_url:'getserversfromgroup'}{literal}&ajax=1&id=' + that.attr('data-id'), function(pids)
            {
                var selector = '';

                for (var i = 0; i < pids.length; i++)
                {
                    selector += 'input[name="servers[' + pids[i] + '][assign]"]:not(:disabled),';
                }

                $(selector.slice(0,-1)).prop('checked', that.is(':checked'));
            }
            );
        });
    });
</script>
{/literal}
<h2>{$lang->_('Server Groups')}</h2>

<table class="table">
    <thead>
        <tr>
            <th>{$lang->_('Group')}</th>
            <th>{$lang->_('Assign To Pool(s)')}</th>
        </tr>
    </thead>
    <tbody>
    {foreach from=$servergroups item=group}
        <tr>
            <td>{$group->name}</td>
            <td><input type="checkbox" class="selectAllFromGroup" data-id="{$group->id}"></td>
        </tr>
    {/foreach}
    </tbody>
</table>

<div class="" style="margin: 20px 0;"><span class="label label-warning" style="text-transform: none;">{$lang->_('By selecting a server group all the products from a chosen group will be selected below.')}</span></div>

<h2 style="margin-bottom: 20px">{$lang->_('Servers')}</h2>
<form class="form-horizontal {if $isWHMCS6}{else}form-low{/if}" method="post" action="">
    <input type="hidden" value="saverels" name="modaction" />
    <input type="hidden" value="{$smarty.get.configuration_id}" name="configuration_id" />

    <cite><span class="assignedWarn icon-warning-sign"></span>{$lang->_(' - means that server is assigned to another configuration and is not available here.')}</cite>

    <table class="table">
        <thead>
            <tr>
                <th width="580">{$lang->_('Server')}</th>
                <th width="580">{$lang->_('Module Type')}</th>
                <th width="130">{$lang->_('Assign To Pool(s)')}</th>
                <th width="80">{$lang->_('IP Addresses')}</th>
                <th width="80">{$lang->_('IP v6 Addresses')}</th>
            </tr>
        </thead>
        <tbody>
        {foreach from=$servers item=server}
            {if isset($server->config_id) and $server->config_id neq $smarty.get.configuration_id}
                {assign var="assigned" value=true}
            {else}
                {assign var="assigned" value=false}
            {/if}
            <tr{if $assigned} class="lessopacity"{/if}>
                <td>{$server->name} {if $assigned}<span class="assignedWarn icon-warning-sign"></span>{/if}</td>
                <td>{$server->type}</td>
                <td><input type="checkbox" name="servers[{$server->id}][assign]" {if $assigned}disabled{/if} value="yes"{if $server->config_id eq $smarty.get.configuration_id} checked="checked"{/if}{if isset($server->config_id) and $server->config_id neq $smarty.get.configuration_id} disabled="disabled"{/if} /></td>
                <td><input type="text" name="servers[{$server->id}][ipquantity]" {if $assigned}disabled{/if} value="{$server->ipquantity|default:1}"{if isset($server->config_id) and $server->config_id neq $smarty.get.configuration_id} disabled="disabled"{/if} size="8" style="width: 50px;"></td>
                <td><input type="text" name="servers[{$server->id}][ipv6quantity]" {if $assigned}disabled{/if} value="{$server->ipv6quantity|default:1}"{if isset($server->config_id) and $server->config_id neq $smarty.get.configuration_id} disabled="disabled"{/if} size="8" style="width: 50px;"></td>
            </tr>
        {/foreach}
        </tbody>
    </table>

    <div class="form-actions">
        <button class="btn btn-small btn-success" type="submit">{$lang->_('Save Changes')}</button>
        <a class="btn btn-small btn-danger" href="{'configuration'|addon_url}">{$lang->_('Cancel')}</a>
    </div>
</form>