<h2>{$lang->_('Client Area Integration Code')}</h2>

{if $isWHMCS6}
    <div style="margin-top: 5px;">
        <p>
            {$lang->_('In order to enable IP Manager client area features, open any file related to the client services.')}
            {$lang->_('For example, open:')}
            <cite>clientareaproductdetails.tpl</cite>
            Located in:
            <cite>templates/{$template->value}/</cite>
            Add this code:
            <cite>
            {literal}{$ipmanager_integration}{/literal}
            </cite> In the line 236 inside
            <cite>{literal}{if $moduleclientarea}{/literal}</cite> tag, at the end of this tag (before {literal}{/if}{/literal} ).

            <br> And do the same thing in line 245 inside
            <cite>{literal}{elseif $moduleclientarea}{/literal}</cite>
        </p>
    </div>
    <div>
        <p>{$lang->_('Correctly placed integration code should look similar to image below:')}</p>
        <img src="../modules/addons/ipmanager2/assets/img/integration_placed_v6.png">
    </div>
    <div style="margin-top: 10px;">
        <p>
            Also, add this code:
            <cite>
            {literal}{$ipmanager_integration}{/literal}
            </cite>
            After: 
            <cite>{literal}{if $tplOverviewTabOutput}{/literal}</cite>
            in line 16, and before:
            <cite>{literal}{/if}{/literal}</cite>
            in line 18.
        <p>
    </div>
{else}
    <div style="margin-top: 5px;">
        <p>{$lang->_('In order to enable IP Manager client area features, open any file related to the client services.')} {$lang->_('For example, open:')} <cite>clientareaproductdetails.tpl</cite> Located in: <cite>templates/{$template->value}/</cite> Add this code: <cite>{literal}{$ipmanager_integration}{/literal}</cite> In the line 106 between <cite>{'<br />'|escape} and {'</div>'|escape} tags.</cite></p>
    </div>

    <div>
        <p>{$lang->_('Correctly placed integration code should look similar to image below:')}</p>
        <img src="../modules/addons/ipmanager2/assets/img/integration_placed.png">
    </div>
{/if}