
<h2 class="appendBottomMargin">
    {$lang->_('IP Block Details')}
</h2>
    <table class="table">
        <thead>
            <tr>
                <th width="350">{$lang->_('Pool')}</th>
                <th width="350">{$lang->_('Usage')}</th>
            </tr>
        </thead>
        <tbody>
                <tr>
                    <td>
                        <a href="{'pools'|addon_url:'blockSubnets'}&block_id={$block->id}"><strong> {$block->pool}{if $block->mask > 0}/{$block->mask}{/if}</strong></a>
                        <p style="color: #999;">

                        {$lang->_('Max Available Subnets In Block:')} {$block->freeTextData.total}<br />
                        {$lang->_('Can Be Generated:')} {$block->freeTextData.toGenerate}<br />
                        {$lang->_('Already Generated Subnets:')} {$block->freeTextData.generated}<br />
                        {$lang->_('Generated and Ready To Assign:')} {$block->freeTextData.generatedFree}<br />
                        <br />
                        {$lang->_('Subnets CIDR: /')}{$block->freeTextData.poolCIDR}<br />
                        {$lang->_('Available Address in Subnet:')} {$block->freeTextData.blockSubnetBigInt}

                        </p>
                        <input type="hidden" name="pools[{$block->id}][id]" value="{$block->id}"/>
                        {$block->pcsNotification}
                    </td>
                    <td style="padding-top: 15px;">
                        <h3>{$lang->_('Generated Subnets')}</h3>
                        <div class="progress progress-{if $block->freePercentage > 75}danger{elseif $block->freePercentage > 40}warning{else}success{/if}">
                            <div class="bar" style="width: {$block->freePercentage}%;"><span style="padding: 0 5px; {if $block->freePercentage < 7}color:#454545;{/if}">{$block->freePercentage}%</span></div>{*#2F2F2F*}
                        </div>
                        <h3>{$lang->_('Assigned Subnets')}</h3>
                        <div class="progress progress-{if $block->assignedPercentage > 75}danger{elseif $block->assignedPercentage > 40}warning{else}success{/if}">
                            <div class="bar" style="width: {$block->assignedPercentage}%;"><span style="padding: 0 5px; {if $block->assignedPercentage < 7}color:#454545;{/if}">{$block->assignedPercentage}% ({$lang->_('Subnets are in use.')})</span></div>{*#2F2F2F*}
                        </div>
                    </td>
                </tr>
        </tbody>
    </table>


<h2 class="appendBottomMargin">
    {$lang->_('Block Subnets List')} {* <a href="#" class="showFilterBox"><i class="icon icon-search"></i></a> *}

    {if $block->freeTextData.toGenerate > 0}
        <div style="float: right; margin-bottom: 10px; display: inline-block;">
            <a class="btn btn-small btn-success generateSubnetsForBlockForm" style="display: inline-block; color: #ffffff !important; font-weight: normal;" href="addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=addBlockSubnets&block_id={$smarty.get.block_id}">{$lang->_('Generate Subnets')}</a>
        </div>

        <div id="divgenerateSubnetsForBlockForm" style="display: none;">
            <h2>{$lang->_('How Many Subnets Gegenerate in block  %s/%s ?', $block->pool,$block->mask)}</h2>

            <div class="control-group">
                <div class="controls" style="margin: 20px 0;">
                    <p class="lead" style="margin: 10px 0;color: #999; font-size: inherit;">

                        {$lang->_('Max Available Subnets In Block:')} <b>{$block->freeTextData.total}</b><br />
                        {$lang->_('Can Be Generated:')} <b>{$block->freeTextData.toGenerate}</b><br />
                        {$lang->_('Already Generated Subnets:')} <b>{$block->freeTextData.generated}</b><br />
                        {$lang->_('Generated and Ready To Assign:')} <b>{$block->freeTextData.generatedFree}</b><br />
                        <br />
                        {$lang->_('Subnets CIDR: /')}{$block->freeTextData.poolCIDR}<br />
                        {$lang->_('Available Address in Subnet:')} {$block->freeTextData.blockSubnetBigInt}

                    </p>
                </div>
            </div>
            <form method="post" action="{'pools'|addon_url:'addBlockSubnets'}&block_id={$smarty.get.block_id}{if $smarty.get.page}&page={$smarty.get.page}{/if}" id="addIpv4Form">
                <p class="lead" style="margin: 10px 0;font-size: inherit;">{$lang->_('Number of Subnets To Generate:')}</p>
                <div class="control-group">
                    <div class="controls">
                        <label for="howmanyaddressess">
                            <input type="text" name="howmanyaddressess" id="howmanyaddressess" value="1" required />
                        </label>
                    </div>
                </div>
                <div class="form-actions" style="margin: 10px 0;">
                    <button type="submit" class="btn btn-small btn-success">{$lang->_('Submit')}</button>
                </div>
            </form>
        </div>


        {literal}
        <script type="text/javascript">
        $( document ).ready(function() {

            jQuery.validator.addMethod("greaterThanZero", function(value, element) {
                x = new BigNumber(value);
                y = new BigNumber('0');
                return this.optional(element) || x.gt(y);
            }, "* Amount must be greater than zero");

            jQuery.validator.addMethod("greaterThanMax", function(value, element) {
                x = new BigNumber('{/literal}{$block->freeTextData.toGenerate}{literal}');
                y = new BigNumber(value);
                return this.optional(element) || x.gte(y);
            }, "* Amount must be lower or equal than {/literal}{$block->freeTextData.toGenerate}{literal}");

            $('#addIpv4Form').validate({
                rules: {
                    howmanyaddressess : {
                        required : true,
                        number: true,
                        greaterThanZero : true,
                        greaterThanMax : true
                    },
                },
                submitHandler: function(form)
                {
                    form.submit();
                }
            });
        });
        </script>
        {/literal}
    {/if}

</h2>

{* <table class="table table-condensed well filterBox hidden">
    <tbody>
        <tr class="span12">
            <td class="span5">
                <div class="">
                    <input type="text" name="filters[pool]" value="" placeholder="{$lang->_('IP Pool match...')}" />
                </div>
            </td>
        </tr>
    </tbody>
</table> *}

<form action="{'pools'|addon_url:'assignclients'}" method="post" class="form-horizontal {if $isWHMCS6}{else}form-low{/if}">
    <input type="hidden" name="modaction" value="setpools" />
    <table class="table">
        <thead>
            <tr>
                <th width="350">{$lang->_('Pool')}</th>
                <th width="220">{$lang->_('Address Range')}</th>
                <th>{$lang->_('Service')}</th>
                <th>{$lang->_('Username')}</th>
                <th>{$lang->_('Client Name')}</th>
                <th width="250">{$lang->_('Custom Fields')}</th>
                <th width="250">{$lang->_('Actions')}</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$pools item=pool}
                <tr>
                    <td>
                        <a href="{'pools'|addon_url:'blockIPlist'}&pool_id={$pool->id}&block_id={$block->id}"><strong> {$pool->pool}{if $pool->mask > 0}/{$pool->mask}{/if}</strong></a>
                        <p style="color: #999;">{$pool->freeText}</p>
                        <input type="hidden" name="pools[{$pool->id}][id]" value="{$pool->id}"/>
                        {$pool->pcsNotification}
                    </td>
                    <td>
                        <p style="color: #999;">
                            {$lang->_('From:')} {$pool->firstInPool}
                            <br/>
                            {$lang->_('To:')} {$pool->lastInPool}
                        </p>
                    </td>

                    {if $pool->custom eq 1}
                        <td colspan="3">{$pool->custom_text}</td>
                    {else}
                        {if $pool->serviceid eq ''}
                            <td colspan="3"><span class="muted">{$lang->_('Not Assigned Yet')}</span></td>
                        {else}
                            <td><a href="clientsservices.php?id={$pool->serviceid}">{$pool->product_name} {if $pool->domain neq ''}({$pool->domain}){else}<span class="muted">{$lang->_('(Domain unknown or empty)')}</span>{/if}</a></td>
                            <td>{$pool->username|default:'<span class="muted">Unknown/Empty</span>'}</td>
                            <td>{$pool->clientname}</td>
                        {/if}
                    {/if}
                    <td>
                        <ul style="margin: 0;">
                            {foreach from=$pool->customFields item=value key=key}
                                <li style="list-style-type: none;"><span>{$key}</span>: <a href="#" class="editable" title="{$lang->_('Click to Edit')}" data-type="text" data-name="{$key}" data-pk="{$pool->id}" data-url="addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=cfupdate&type=pool" data-title="Plese enter a custom field value">{$value}</a></li>
                            {foreachelse}
                                <li style="list-style-type: none;"><span class="muted" style="color: #999;">{$lang->_('No custom fields set for this IP address')}</span></li>
                            {/foreach}
                            <li style="padding-top: 5px;list-style-type: none;">
                                <a href="{'pools'|addon_url:'cfupdate'}&ipID={$pool->id}&pool_id={$pool->id}&type=pool&block_id={$block->id}&backTo=block" title="{$lang->_('Create a New Custom Field')}" class="createCustomField">{$lang->_('Create a New Custom Field')}</a>
                            </li>
                        </ul>
                    </td>
                    <td>
                        <a href="{'pools'|addon_url:'unassignPool'}&pool_id={$pool->id}&type=pool&backTo=block" class="btn btn-small unassignIP btn-primary{if $pool->account_id eq 0 && $pool->custom eq 0} disabled{/if}">{$lang->_('Unassign')}</a>

                        <a href="{'pools'|addon_url:'assignPool'}&block_id={$smarty.get.block_id}&poolID={$pool->id}&page={if $smarty.get.page}{$smarty.get.page}{else}1{/if}&backTo=block" class="btn btn-small ipAssignToService btn-success{if !($pool->account_id eq 0 && $pool->custom eq 0)} disabled{/if}">{$lang->_('Assign To')}</a>
                        {* <a href="{'pools'|addon_url:'assignPool'}&ip={$ip->ip}&poolID={$smarty.get.pool_id}&page={if $smarty.get.page}{$smarty.get.page}{else}1{/if}" class="btn ipAssignToService btn-success{if $ip->serviceid neq ''} disabled{/if}">{$lang->_('Assign To')}</a> *}

                        <a href="{'pools'|addon_url:'delete'}&pool_id={$pool->id}&redirToBlock={$block->id}" class="btn btn-small btn-danger">{$lang->_('Delete')}</a>
                    </td>
                </tr>
            {foreachelse}
                <tr>
                    <td colspan="7">{$lang->_('Nothing to show here right now')}</td>
                </tr>
            {/foreach}
        </tbody>
    </table>

    {if $pools|@count gt 0}
        <div class="clear"></div>

        <div class="form-actions">
            <a class="btn btn-small btn-danger" href="{'pools'|addon_url}">{$lang->_('Back To Pools List')}</a>
        </div>
    {/if}

</form>