
<form method="post" id="MaxSubnetsToAdd" action="{'pools'|addon_url:'addBlockSubnets'}&ip={$smarty.get.ip}&poolID={$block->id}&perform=1&page={$smarty.get.page}">
    <div class="controls">
        <h2 class="lead" style="margin: 10px 0;"> {$lang->_('How Many Subnets Gegenerate in block  %s/%s ?', $block->pool,$block->mask)}</h2>
    </div>
    <div class="control-group">
        <div class="controls" style="margin: 20px 0;">
            <p class="lead" style="margin: 10px 0;color: #999;">

                {$lang->_('Max Available Subnets In Block:')} <b>{$block->freeTextData.total}</b><br />
                {$lang->_('Can Be Generated:')} <b>{$block->freeTextData.toGenerate}</b><br />
                {$lang->_('Already Generated Subnets:')} <b>{$block->freeTextData.generated}</b><br />
                {$lang->_('Generated and Ready To Assign:')} <b>{$block->freeTextData.generatedFree}</b><br />
                <br />
                {$lang->_('Subnets CIDR: /')}{$block->freeTextData.poolCIDR}<br />
                {$lang->_('Available Address in Subnet:')} {$block->freeTextData.blockSubnetBigInt}

            </p>
        </div>
    </div>
    <div class="controls">
        <fieldset>
            <legend>Please provide your name, email address (won't be published) and a comment</legend>
            <p>
              <label for="howmanyaddressess">Address IPv4 to add</label>
              <input type="text" name="howmanyaddressess" id="howmanyaddressess" value="" required />
            </p>
        </fieldset>
    </div>
    <div class="form-actions" style="margin: 10px 0;">
        <button type="submit" class="btn btn-small btn-success">{$lang->_('Save Changes')}</button>
    </div>
</form>
{literal}
<script type="text/javascript">
$( document ).ready(function() {

    jQuery.validator.addMethod("greaterThanZero", function(value, element) {
        return this.optional(element) || (parseFloat(value) > 0);
    }, "* Amount must be greater than zero");

    jQuery.validator.addMethod("greaterThanMax", function(value, element) {
        return this.optional(element) || ( parseFloat(value) <= parseFloat({/literal}{$block->freeTextData.toGenerate}{literal}));
    }, "* Amount must be greater than {/literal}{$block->freeTextData.toGenerate}{literal}");

// $( document ).ready(function() {
// $("#addIpv4Form").validate();
    var dammformvalidation = $('#MaxSubnetsToAdd').validate({
        rules: {
            "howmanyaddressess": {
                required: true,
                greaterThanMax: true,
                greaterThanZero: true,
            }
        },
        howmanyaddressess: {
           "ccname": "Please enter a valid Number."
        },
    });
});
</script>
{/literal}