
<h2 class="appendBottomMargin">
    {$lang->_('IP Block Details')}
</h2>
    <table class="table">
            <tr>
                <th width="350" colspan="4">{$lang->_('Block')}</th>
                <th width="350" colspan="4">{$lang->_('Usage')}</th>
            </tr>
            <tr>
                <td colspan="4">
                    <a href="{'pools'|addon_url:'blockSubnets'}&block_id={$block->id}"><strong> {$block->pool}{if $block->mask > 0}/{$block->mask}{/if}</strong></a>
                    <p style="color: #999;">

                    {$lang->_('Max Available Subnets In Block:')} {$block->freeTextData.total}<br />
                    {$lang->_('Can Be Generated:')} {$block->freeTextData.toGenerate}<br />
                    {$lang->_('Already Generated Subnets:')} {$block->freeTextData.generated}<br />
                    {$lang->_('Generated and Ready To Assign:')} {$block->freeTextData.generatedFree}<br />
                    <br />
                    {$lang->_('Subnets CIDR: /')}{$block->freeTextData.poolCIDR}<br />
                    {$lang->_('Available Address in Subnet:')} {$block->freeTextData.blockSubnetBigInt}

                    </p>
                    <input type="hidden" name="pools[{$block->id}][id]" value="{$block->id}"/>
                    {$block->pcsNotification}
                </td>
                <td style="padding-top: 15px;" colspan="4">
                        <h3>{$lang->_('Generated Subnets')}</h3>
                        <div class="progress progress-{if $block->freePercentage > 75}danger{elseif $block->freePercentage > 40}warning{else}success{/if}">
                            <div class="bar" style="width: {$block->freePercentage}%;"><span style="padding: 0 5px; {if $block->freePercentage < 7}color:#454545;{/if}">{$block->freePercentage}%</span></div>{*#2F2F2F*}
                        </div>
                        <h3>{$lang->_('Assigned Subnets')}</h3>
                        <div class="progress progress-{if $block->assignedPercentage > 75}danger{elseif $block->assignedPercentage > 40}warning{else}success{/if}">
                            <div class="bar" style="width: {$block->assignedPercentage}%;"><span style="padding: 0 5px; {if $block->assignedPercentage < 7}color:#454545;{/if}">{$block->assignedPercentage}% ({$lang->_('Subnets are in use.')})</span></div>{*#2F2F2F*}
                        </div>
                </td>
            </tr>
            <tr style="border-top: 1px solid #e0e0e0;">
                <th width="350">{$lang->_('Pool')}</th>
                <th width="220">{$lang->_('Address Range')}</th>
                <th>{$lang->_('Service')}</th>
                <th>{$lang->_('Username')}</th>
                <th>{$lang->_('Client Name')}</th>
                <th width="250">{$lang->_('Custom Fields')}</th>
                <th width="250">{$lang->_('Actions')}</th>
            </tr>
                <tr>
                    <td>
                        <a href="{'pools'|addon_url:'blockIPlist'}&pool_id={$pool->id}&block_id={$block->id}"><strong> {$pool->pool}{if $pool->mask > 0}/{$pool->mask}{/if}</strong></a>
                        <p style="color: #999;">{$pool->freeText}</p>
                        <input type="hidden" name="pools[{$pool->id}][id]" value="{$pool->id}"/>
                        {$pool->pcsNotification}
                    </td>
                    <td>
                        <p style="color: #999;">
                            {$lang->_('From:')} {$pool->firstInPool}
                            <br/>
                            {$lang->_('To:')} {$pool->lastInPool}
                        </p>
                    </td>

                    {if $pool->custom eq 1}
                        <td colspan="3">{$pool->custom_text}</td>
                    {else}
                        {if $pool->serviceid eq ''}
                            <td colspan="3"><span class="muted">{$lang->_('Not Assigned Yet')}</span></td>
                        {else}
                            <td><a href="clientsservices.php?id={$pool->serviceid}">{$pool->product_name} {if $pool->domain neq ''}({$pool->domain}){else}<span class="muted">{$lang->_('(Domain unknown or empty)')}</span>{/if}</a></td>
                            <td>{$pool->username|default:'<span class="muted">Unknown/Empty</span>'}</td>
                            <td>{$pool->clientname}</td>
                        {/if}
                    {/if}
                    <td>
                        <ul style="margin: 0;">
                            {foreach from=$pool->customFields item=value key=key}
                                <li style="list-style-type: none;"><span>{$key}</span>: <a href="#" class="editable" title="{$lang->_('Click to Edit')}" data-type="text" data-name="{$key}" data-pk="{$pool->id}" data-url="addonmodules.php?module=ipmanager2&modpage=pools&modsubpage=cfupdate&type=pool" data-title="Plese enter a custom field value">{$value}</a></li>
                            {foreachelse}
                                <li style="list-style-type: none;"><span class="muted" style="color: #999;">{$lang->_('No custom fields set for this IP address')}</span></li>
                            {/foreach}
                            <li style="padding-top: 5px; list-style-type: none;">
                                <a href="{'pools'|addon_url:'cfupdate'}&ipID={$pool->id}&pool_id={$pool->id}&type=pool&block_id={$block->id}&backTo=pool" title="{$lang->_('Create a New Custom Field')}" class="createCustomField">{$lang->_('Create a New Custom Field')}</a></li>
                            </li>
                        </ul>
                    </td>
                    <td>
                        <a href="{'pools'|addon_url:'unassignPool'}&pool_id={$pool->id}&type=pool&backTo=pool" class="btn unassignIP btn-primary{if $pool->account_id eq 0 && $pool->custom eq 0} disabled{/if}">{$lang->_('Unassign')}</a>
                        <a href="{'pools'|addon_url:'assignPool'}&block_id={$block->id}&poolID={$pool->id}&page={if $smarty.get.page}{$smarty.get.page}{else}1{/if}&backTo=block" class="btn ipAssignToService btn-success{if !($pool->account_id eq 0 && $pool->custom eq 0)} disabled{/if}">{$lang->_('Assign To')}</a>

                        <a href="{'pools'|addon_url:'delete'}&pool_id={$pool->id}&redirToBlock={$block->id}" class="btn btn-danger">{$lang->_('Delete')}</a>
                    </td>
                </tr>
        </tbody>
    </table>



<h2 class="appendBottomMargin">
    {$lang->_('IP Addresses In Pool')}
</h2>
<div class="alert alert-info">
  <strong>{$lang->_('Notice:')}</strong> {$lang->_('Only generated IP addresses are visible on this page. It means that more addresses may be still available and waiting to be assigned. IP addresses are generated upon manual or automatic assignment')}
</div>

<form method="post" class="form-horizontal {if $isWHMCS6}{else}form-low{/if} ipv4form">
    <input type="hidden" name="modaction" value="setips" />
    <input type="hidden" name="poolID" value="{$smarty.get.pool_id}" />
    <input type="hidden" name="page" value="{if $smarty.get.page}{$smarty.get.page}{else}1{/if}" />
    <table class="table" id="ipManagerIPList">
        <thead>
            <tr>
                <th width="50%">{$lang->_('IP Address')}</th>
                <th width="50%">{$lang->_('Full IP Address')}</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$ips item=ip}
                <tr>
                    <td>{$ip->ip}</td>
                    <td>{$ip->fullIpAddress}</td>
                </tr>
                {foreachelse}
                    <tr>
                        <td colspan="2" style="text-align: center">{$lang->_('No results found with selected filters.')}</td>
                    </tr>
                {/foreach}
                </tbody>
            </table>

            <div class="clear"></div>

            <div class="form-actions">
                <a class="btn btn-danger" href="{'pools'|addon_url:'blockSubnets'}&block_id={$block->id}">{$lang->_('Back To Pools List In Block')}</a>
            </div>
    </form>