<?php

function IPManagerTreeView($items){
    $tree ='<ul>';

    foreach ($items as $pool){
        $padding = "";
        if(!$pool->children)
        {
            $padding = "padding-left: 14px;";
        }
        $tree .= "<li style='list-style-type: none; cursor: pointer;".$padding."'>";
        $tree .= ($pool->children)?"<i class='icon icon-minus'></i>":"";
        if ($pool->freePercentage > 75){
            $color = "red";
        }
        else if ($pool->freePercentage > 40){
            $color = "orange";
        }
        else {
            $color = "green";
        }
        if ($pool->block)
        {
            $segment = "block_id";
        }
        else
        {
            $segment = "pool_id";
        }
        
        $icon = 'screenshot';
        if(!empty($pool->client_id) && !empty($pool->service_id)) {
            $icon = 'hdd';
        } elseif(!empty($pool->client_id)) {
            $icon = 'user';
        }
        
        $tree .= "<icon style='color:{$color};' class='icon icon-{$icon} icon-white'></icon><a href='addonmodules.php?module=ipmanager2&modpage=pools&{$segment}={$pool->id}' data-id='{$pool->id}'>{$pool->pool}/{$pool->mask}</a>";
        if ($pool->children){
           $tree .= IPManagerTreeView($pool->children);
        }
        $tree .="</li>";
    }
    $tree .='</ul>';
    return $tree;
}