<div class="panel panel-default panel-defaultfields">
    <div class="panel-heading">
      <h3 class="panel-title">{$lang->_('Default Custom Fields')}</h3>
    </div>
    <div class="panel-body">
        <table class="table tableWhite">
            <thead>
              <tr>
                <th>{$lang->_('Name')}</th>
                <th>{$lang->_('Value')}</th>
                <th></th>
              </tr>
            </thead>
            <tbody>
                {foreach from=$fields item=field key=pool_id}
                    <tr>
                        <td>{$field->name}</td>
                        <td>{$field->value}</td>
                        <td class="actions">
                            <button class="btn btn-small btn-info dfieldEdit" data-href="{'settings'|addon_url:'createDefaultField'}" data-id="{$field->id}">
                                {$lang->_('Edit')}
                            </button>
                            <button class="btn btn-small btn-danger" data-toggle="modal" data-message="Are you sure you want to delete this default custom field?" data-target="#alertModal" data-href="{'settings'|addon_url:'deleteDefaultCustomFields'}&dfieldID={$field->id}">
                                {$lang->_('Delete')}
                            </button>
                        </td>
                    </tr>
                {/foreach}
            </tbody>
        </table>
    </div>
</div> 
                   
<a id="addNewCustomField" href="#" data-href="addonmodules.php?module=ipmanager2&modpage=settings&modsubpage=createDefaultField" class="btn btn-small btn-primary">{$lang->_('Add New Default Field')}</a>          

{if !$isWHMCS6}
{literal}
    <style type="text/css">
        #defaultFields tbody > tr > td:not(:last-child) {
            padding: 8px 23px 8px 8px;
        }
        
        #defaultFields tbody > tr > td:last-child {
            vertical-align: middle;
        }
    </style>
{/literal}
{/if}
            
          

