<div id="IPMAddresses" class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">{$lang->_('Assign IP Addresses')}</h3>                              
    </div>
    <div class="panel-body">
        <form method="post" class="form-horizontal">
            <input type="hidden" name="poolid" value=""/>

            <div class="row">
                <div class="col-md-6">
                    <label>{$lang->_('Select IP addresses to assign')}</label>
                </div>
                <div class="col-md-6">
                    <select class="form-control select2" multiple="" name="ipaddresses" style="width: 100%">
                        {* AJAX *}
                    </select>
                </div>
            </div>
                    
            <div class="row"> 
                <div class="col-md-6">
                    <label for="ipm-override-field">
                        {$lang->_('Override already assigned IP addresses')}
                    </label>
                </div>
                <div class="col-md-6">
                    <label class="switch">
                        <input id="ipm-override-field" type="checkbox" name="override"/>
                        <span class="slider round"></span>
                    </label>
                </div>
            </div>
                        
            <div class="row use-submodule-field"> 
                <div class="col-md-6">
                    <label for="ipm-usessubmodule-field">
                        {$lang->_('Use submodule')}
                    </label>
                </div>
                    
                <div class="col-md-6">
                    <label class="switch">
                        <input id="ipm-usessubmodule-field" type="checkbox" name="usesubmodule"/>
                        <span class="slider round"></span>
                    </label>
                </div>
            </div>

                        
            <button class="submitBtn btn btn-sm btn-success" type="submit">{$lang->_('Add IP Address')}</button>
        </form>
    </div>
</div>

<div id="IPMAlreadyAssigned" class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">{$lang->_('Already assigned IP Addresses')}</h3>
    </div>
    <div class="panel-body">
        <table cellspacing="0" width="100%">
            <thead>
                <tr>
                    <th width="30%">{$lang->_('IP Address')}</th>
                    <th width="20%">{$lang->_('Submodules')}</th>
                    <th width="50%">{$lang->_('Actions')}</th>
                </tr>
            </thead>
        </table>
    </div>
</div>
